#!/bin/bash

echo
echo "::. Installation de Coban .::"
echo

echo "création du répertoire d'installation de coban..."
mkdir ~/.coban
echo "fait..."

echo "copie de l'archive dans le dossier d'installation..."
cp Coban-0-6-2.tar.gz ~/.coban/Coban-0-6-2.tar.gz
echo "fait..."

echo "copie des fichiers temporaires dans le répertoire /tmp"
cp coban.desktop /tmp/coban.desktop
cp coban_26.png /tmp/coban_26.png


echo "changement de répertoire pour celui du répertoire d'installation..."
cd ~/.coban
echo "fait..."

echo "décompression de l archive..."
tar xvf Coban-0-6-2.tar.gz
echo "fait..."

echo "donne les droits d'exécution au fichier coban.py et coban.sh..."
chmod +x coban.py
chmod +x coban.sh
echo "fait"

echo "crée un lien dans /usr/bin et crée l'entrée dans le menu"
echo "ATTENTION: Entrez votre mot de passe administrateur pour cette étape !"
# création du lien symbolique
sudo ln -s coban.sh /usr/bin/coban
# création du fichier desktop et de l'icone
sudo cp /tmp/coban_26.png /usr/share/pixmaps/coban_26.png
sudo cp /tmp/coban.desktop /usr/share/applications/coban.desktop
echo "fait"

echo "suppression de l'archive..."
rm Coban-0-6-2.tar.gz
echo "fait..."

echo "::. Fin de l'installation de coban .::"
echo
echo 'Tapez "coban" dans une console pour lancer Coban !'
echo

exit 0
